#ifndef MARS_MString
#define MARS_MString

#ifndef ROOT_TString
#include <TString.h>
#endif

#include <stdio.h>
#include <stdarg.h>

class MString : public TString
{
public:
    MString &Print(const char *fmt, ...);

    ClassDef(MString, 1) // Tool to make Form() thread safe against other TStrings
};

#endif
